Get locations (PMS)
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pms/locationsimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pms/locations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pms/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"timezone": "Europe/Paris",
"address": {
"address_type": "home",
"name": "Home",
"street": "Main Street",
"number": "123",
"box": "A",
"city": "Paris",
"postal_code": "75000",
"country": "FR"
}
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Locations
Get locations (PMS)
Returns a list of the locations
GET
/
consumers
/
{consumer_id}
/
pms
/
locations
Get locations (PMS)
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100⌘I